curl --request GET \
--url https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/ \
--header 'X-Initdesk-Token: <api-key>'import requests
url = "https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/"
headers = {"X-Initdesk-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Initdesk-Token': '<api-key>'}};
fetch('https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Initdesk-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Initdesk-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/")
.header("X-Initdesk-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Initdesk-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"email_prefix": "<string>",
"inbox_email_address": "<string>",
"channel_connections": [
{
"id": 123,
"type": "<string>",
"external_identifier": "<string>",
"is_enabled": true,
"status": "healthy",
"token_expires_at": "2023-11-07T05:31:56Z",
"config": {
"auto_reply_template": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_default": true,
"auto_reply_during_enabled": true,
"auto_reply_during_template": "<string>",
"auto_reply_outside_enabled": true,
"auto_reply_outside_template": "<string>",
"enable_inactivity_reminders": true,
"enable_auto_close_inactive_tickets": true,
"customer_max_inactivity_period": 1073741823,
"customer_inactivity_reminder_period": 1073741823,
"signature": "<string>",
"email_from_name": "<string>",
"customer_interaction_style": "helpdesk"
}Retrieve inbox
Return inbox details, including email prefix and whether it is the default inbox for the organization.
curl --request GET \
--url https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/ \
--header 'X-Initdesk-Token: <api-key>'import requests
url = "https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/"
headers = {"X-Initdesk-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Initdesk-Token': '<api-key>'}};
fetch('https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Initdesk-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Initdesk-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/")
.header("X-Initdesk-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.initdesk.com/organizations/{organization_id}/inboxes/{pk}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Initdesk-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"email_prefix": "<string>",
"inbox_email_address": "<string>",
"channel_connections": [
{
"id": 123,
"type": "<string>",
"external_identifier": "<string>",
"is_enabled": true,
"status": "healthy",
"token_expires_at": "2023-11-07T05:31:56Z",
"config": {
"auto_reply_template": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_default": true,
"auto_reply_during_enabled": true,
"auto_reply_during_template": "<string>",
"auto_reply_outside_enabled": true,
"auto_reply_outside_template": "<string>",
"enable_inactivity_reminders": true,
"enable_auto_close_inactive_tickets": true,
"customer_max_inactivity_period": 1073741823,
"customer_inactivity_reminder_period": 1073741823,
"signature": "<string>",
"email_from_name": "<string>",
"customer_interaction_style": "helpdesk"
}Authorizations
Path Parameters
A unique integer value identifying this Inbox.
^[-a-zA-Z0-9_]+$Response
6432^[a-zA-Z0-9._%-]+$Email-only convenience field. Prefer channel_connections (type=email).external_identifier for multi-channel inboxes.
Show child attributes
Show child attributes
This inbox will be used as the default (and catch all) for the organization.
Automatically reply when a new customer ticket is created during business hours. With no schedule, the organization is open.
Template sent during business hours. Turning the switch on with an empty template stores the default in the organization working language.
Automatically reply when a new customer ticket is created outside business hours.
Template sent outside business hours. Turning the switch on with an empty template stores the default in the organization working language.
Send reminder emails to customers when tickets are inactive.
Automatically close tickets after a specified period of inactivity.
0 <= x <= 21474836470 <= x <= 2147483647This signature will be appended to outgoing emails.
Optional custom sender display name for outgoing emails from this inbox. Falls back to the organization email from name when unset.
32Helpdesk exposes ticket numbers in customer emails and messages; conversational keeps interactions natural without ticket references.
helpdesk- Helpdeskconversational- Conversational
helpdesk, conversational Was this page helpful?

